<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.security.elytron-realm" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="apply-role-mappers,legacy-jaas-config"/>
        <elem name="addr-params" value="profile,subsystem,elytron-realm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.security"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.security-realm.$elytron-realm"/>
    </provides>
    <refs>
        <ref feature="subsystem.security"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="security"/>
        <param name="legacy-jaas-config" stability="default"/>
        <param name="elytron-realm" feature-id="true"/>
        <param name="apply-role-mappers" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>